### Hierarchy

- DeepCopy<ServiceResponse>
  - ServiceResponse

## Index

### Constructors

- constructor

### Properties

- body
- headers
- status

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson
- fromJson

## Constructors

### constructor

- new ServiceResponse(headers?: Map<string, Array<string>>, status?: number, body?: object): ServiceResponse

- - Defined in repository/models/services/ServiceResponse.ts:17

  #### Parameters

  - ##### Default value headers: Map<string, Array<string>> = new Map()

  - ##### Default value status: number = 0

  - ##### Optional body: object

  #### Returns ServiceResponse

## Properties

### Optional body

body: object

- Defined in repository/models/services/ServiceResponse.ts:9

### headers

headers: Map<string, Array<string>>

- Defined in repository/models/services/ServiceResponse.ts:7

### status

status: number

- Defined in repository/models/services/ServiceResponse.ts:8

## Methods

### copy

- copy(changeArgs?: JsonObject<ServiceResponse>): ServiceResponse

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<ServiceResponse>

  #### Returns ServiceResponse

### Protected deepCopyFromJson

- deepCopyFromJson(): ServiceResponse

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/services/ServiceResponse.ts:33

  #### Returns ServiceResponse

### Protected getClass

- getClass(): ClassCreator<ServiceResponse>

- Overrides DeepCopy.getClass

  - Defined in repository/models/services/ServiceResponse.ts:37

  #### Returns ClassCreator<ServiceResponse>

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/services/ServiceResponse.ts:26

  #### Returns object

### Static fromJson

- fromJson(json: JsonObject<ServiceResponse>): ServiceResponse

- - Defined in repository/models/services/ServiceResponse.ts:11

  #### Parameters

  - ##### json: JsonObject<ServiceResponse>

  #### Returns ServiceResponse

Generated using TypeDoc